aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xscript/dev-bucket.sh2
-rwxr-xr-xscript/dev-cluster.sh12
-rwxr-xr-xscript/dev-configure.sh3
3 files changed, 11 insertions, 6 deletions
diff --git a/script/dev-bucket.sh b/script/dev-bucket.sh
index 8c0ef4e4..973d6d30 100755
--- a/script/dev-bucket.sh
+++ b/script/dev-bucket.sh
@@ -1,5 +1,7 @@
#!/bin/bash
+set -ex
+
SCRIPT_FOLDER="`dirname \"$0\"`"
REPO_FOLDER="${SCRIPT_FOLDER}/../"
GARAGE_DEBUG="${REPO_FOLDER}/target/debug/"
diff --git a/script/dev-cluster.sh b/script/dev-cluster.sh
index 9da72909..addbf4b4 100755
--- a/script/dev-cluster.sh
+++ b/script/dev-cluster.sh
@@ -24,11 +24,11 @@ cat > $CONF_PATH <<EOF
block_size = 1048576 # objects are split in blocks of maximum this number of bytes
metadata_dir = "/tmp/garage-meta-$count"
data_dir = "/tmp/garage-data-$count"
-rpc_bind_addr = "[::]:$((3900+$count))" # the port other Garage nodes will use to talk to this node
+rpc_bind_addr = "0.0.0.0:$((3900+$count))" # the port other Garage nodes will use to talk to this node
bootstrap_peers = [
- "[::1]:3901",
- "[::1]:3902",
- "[::1]:3903"
+ "127.0.0.1:3901",
+ "127.0.0.1:3902",
+ "127.0.0.1:3903"
]
max_concurrent_rpc_requests = 12
data_replication_factor = 3
@@ -36,11 +36,11 @@ meta_replication_factor = 3
meta_epidemic_fanout = 3
[s3_api]
-api_bind_addr = "[::]:$((3910+$count))" # the S3 API port, HTTP without TLS. Add a reverse proxy for the TLS part.
+api_bind_addr = "0.0.0.0:$((3910+$count))" # the S3 API port, HTTP without TLS. Add a reverse proxy for the TLS part.
s3_region = "garage" # set this to anything. S3 API calls will fail if they are not made against the region set here.
[s3_web]
-bind_addr = "[::]:$((3920+$count))"
+bind_addr = "0.0.0.0:$((3920+$count))"
root_domain = ".garage.tld"
index = "index.html"
EOF
diff --git a/script/dev-configure.sh b/script/dev-configure.sh
index 698c7ed9..32393adc 100755
--- a/script/dev-configure.sh
+++ b/script/dev-configure.sh
@@ -1,11 +1,14 @@
#!/bin/bash
+set -ex
+
SCRIPT_FOLDER="`dirname \"$0\"`"
REPO_FOLDER="${SCRIPT_FOLDER}/../"
GARAGE_DEBUG="${REPO_FOLDER}/target/debug/"
GARAGE_RELEASE="${REPO_FOLDER}/target/release/"
PATH="${GARAGE_DEBUG}:${GARAGE_RELEASE}:$PATH"
+sleep 5
until garage status 2>&1|grep -q Healthy ; do
echo "cluster starting..."
sleep 1